package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WagesChromatographyCollection extends AbstractObjectCollection 
{
    public WagesChromatographyCollection()
    {
        super(WagesChromatographyInfo.class);
    }
    public boolean add(WagesChromatographyInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WagesChromatographyCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WagesChromatographyInfo item)
    {
        return removeObject(item);
    }
    public WagesChromatographyInfo get(int index)
    {
        return(WagesChromatographyInfo)getObject(index);
    }
    public WagesChromatographyInfo get(Object key)
    {
        return(WagesChromatographyInfo)getObject(key);
    }
    public void set(int index, WagesChromatographyInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WagesChromatographyInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WagesChromatographyInfo item)
    {
        return super.indexOf(item);
    }
}